Subject: Re: bug#17392: 24.3.90; cursor blinks faster and faster

From: Eli Zaretskii <[email-masked]>
Date: Wed, 14 May 2014 21:15:18 +0300

> From: Michael Heerdegen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Wed, 14 May 2014 19:23:06 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > > 4.  The old timer from 2. is called with timer-event-handler.
> > > Note that as a side effect, the timer is pushed back to timer-idle-list,
> >
> > Pushed how and where?
> 
> timer-event-handler
> -> timer-activate-when-idle
> -> timer--activate, which modifies timer-idle-list (in this case)

Did you verify that the timer is indeed pushed onto the list ...

> > > but `blink-cursor-idle-timer' is still bound to nil.
> > > 
> > > 5.  `blink-cursor-check' is run.  It sees that `blink-cursor-idle-timer'
> > > is nil and starts another idle timer.

... and that another one is pushed here?

> > If this is what happens, then a trivial change in blink-cursor-check
> > should fix the problem of cursor blinking faster and faster.  Does it?
> 
> No, it doesn't seem to help - too bad.

Thought so, it would have been too easy.

> BTW, can you reproduce the problem, Eli?

No, and I don't think I will be able to reproduce this on Windows.  (I
have no access to a GUI trunk build on a Unix system.)